@startuml UcpDomeinEntityLoaderObjects
allow_mixing

    class Address

    class IOR {
      UcpComponent Type IOR  
    }

    class IOR2 {
      UcpComponent Entity IOR  
    }

    class Loader

    class Client

    class RestClient2 {
            CRUD
    }

    class Loader2 {
      }

    class UcpComponent {
      id
    }


    class Store 

    interface PersistanceManager

    class IORPersistanceManager

UcpComponent -> Store: has
UcpComponent -down-> IOR: has 
UcpComponent -down-> IOR: this.type.class.IOR ?

IOR --> Loader: .loader
Loader --> Client: .client

IOR2 --> Loader2 : .loader
Loader2 -> RestClient2: .client

Address --> UcpComponent

Store -down-> IORPersistanceManager: Registered
PersistanceManager <-- IORPersistanceManager: implements
IORPersistanceManager -up-> Address: get Component

IOR2 --> UcpComponent: on load create
IOR2 <-- UcpComponent: .getIOR
@enduml